[Crosstoolchain-logs] [device-tree-compiler] 105/357: dtc: Count testcases and results in the dtc/libfdt testsuite

Hector Oron zumbi at moszumanska.debian.org
Thu Dec 8 17:05:55 UTC 2016


This is an automated email from the git hooks/post-receive script.

zumbi pushed a commit to branch upstream/1.3.x
in repository device-tree-compiler.

commit 0c7cd1a08783b8efea84bdb78c38521f9cb89125
Author: David Gibson <david at gibson.dropbear.id.au>
Date:   Tue Jun 26 11:33:10 2007 +1000

    dtc: Count testcases and results in the dtc/libfdt testsuite
    
    There are quite a lot of testcases in the dtc testsuite (recently
    imported from libfdt).  It can be easy to miss a stray FAIL result in
    the midst of all the rest.  To improve this, this patch adds a summary
    to the end of the testsuite results giving the total number of tests
    along with the number of PASSes FAILs and other results.
    
    Signed-off-by: David Gibson <david at gibson.dropbear.id.au>
---
 tests/run_tests.sh | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

diff --git a/tests/run_tests.sh b/tests/run_tests.sh
index f4a5a54..df368f9 100755
--- a/tests/run_tests.sh
+++ b/tests/run_tests.sh
@@ -4,9 +4,24 @@ export QUIET_TEST=1
 
 ENV=/usr/bin/env
 
+tot_tests=0
+tot_pass=0
+tot_fail=0
+tot_config=0
+tot_strange=0
+
 run_test () {
+    tot_tests=$[tot_tests + 1]
     echo -n "$@:	"
-    PATH=".:$PATH" $ENV "$@"
+    if PATH=".:$PATH" $ENV "$@"; then
+	tot_pass=$[tot_pass + 1]
+    elif [ "$?" == "1" ]; then
+	tot_config=$[tot_config + 1]
+    elif [ "$?" == "2" ]; then
+	tot_fail=$[tot_fail + 1]
+    else
+	tot_strange=$[tot_strange + 1]
+    fi
 }
 
 tree1_tests () {
@@ -92,3 +107,12 @@ for set in $TESTSETS; do
 	    ;;
     esac
 done
+
+echo -e "********** TEST SUMMARY"
+echo -e "*     Total testcases:	$tot_tests"
+echo -e "*                PASS:	$tot_pass"
+echo -e "*                FAIL:	$tot_fail"
+echo -e "*   Bad configuration:	$tot_config"
+echo -e "* Strange test result:	$tot_strange"
+echo -e "**********"
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/crosstoolchain/device-tree-compiler.git



More information about the Crosstoolchain-logs mailing list